import mockManifest from '../json/lunchroom-manners';
// Import the redux store, which is holding external configuration we might need
import { store } from '../Root';

export function fetchManifest(url) {
  var externalConfig = getExternalConfig();

  return fetch(url, externalConfig).then(function (response) {
    if (response.ok) {
      return response.json();
    }
    throw new Error('Network request was not ok');
  }).then(function (json) {
    return json;
  }).catch(function (err) {
    console.log('Problem with the fetch operation', err);
    return { error: 'Network failure fetching the manifest' };
  });
}

// Mock API call
export function fetchLocalManifest() {
  return new Promise(function (resolve) {
    setTimeout(function () {
      resolve(mockManifest);
    }, 500);
  });
}

function getExternalConfig() {
  var currentState = store.getState();
  var fetch = currentState.externalConfig.fetch;

  var obj = {};

  if (fetch && fetch.options) {
    Object.assign(obj, fetch.options);
  }

  return obj;
}